Bug 92154 - (libX11-1.6.3) Using Uninitialized of object member variable when calling _XColor_to_XcmsRGB
Summary: (libX11-1.6.3) Using Uninitialized of object member variable when calling _XC...
Status: RESOLVED MOVED
Alias: None
Product: xorg
Classification: Unclassified
Component: Lib/Xlib (show other bugs)
Version: unspecified
Hardware: ARM Linux (All)
: medium normal
Assignee: Xorg Project Team
QA Contact: Xorg Project Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-28 08:33 UTC by Bhavi Dhingra
Modified: 2018-08-10 20:11 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments
This patch contains the fix for the bug. (324 bytes, text/plain)
2015-09-28 08:33 UTC, Bhavi Dhingra
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bhavi Dhingra 2015-09-28 08:33:40 UTC
Created attachment 118472 [details]
This patch contains the fix for the bug.

In libX11/src/xcms/cmsLkCol.c, Line #171 & #172,
_XColor_to_XcmsRGB is called with uninitialized variables passed as arguments.
The value of the arguments are read in the definition of _XColor_to_XcmsRGB
and assigned to another object's member variable.

Hence, initializing it with NULL is necessary.
Comment 1 Bhavi Dhingra 2015-10-07 03:40:05 UTC
Gentle reminder for this pending bug.
Comment 2 GitLab Migration User 2018-08-10 20:11:02 UTC
-- GitLab Migration Automatic Message --

This bug has been migrated to freedesktop.org's GitLab instance and has been closed from further activity.

You can subscribe and participate further through the new bug through this link to our GitLab instance: https://gitlab.freedesktop.org/xorg/lib/libx11/issues/44.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.